using System;

namespace FogbugzWrapper
{
    public class ZendeskCase
    {
        public int ZendeskNumber {get;}
        public int FogbugzNumber {get;}
        public ZendeskCase() { }
        public ZendeskCase(int zdRef, int fbRef, FBEvent latestEvent)
        {
            ZendeskNumber = zdRef;
            FogbugzNumber = fbRef;
            LatestEvent = latestEvent;
            TimeStamp = DateTime.Parse(latestEvent.TimeStamp);
        }
        public FBEvent LatestEvent { get; }
        public DateTime TimeStamp { get; set; }
    }
}
